Temp Projects - Tasks #8399

Request for Change the Charge details of attached transactions
11/25/2022 12:06 PM - Rijas P

Status: Closed Start date: 11/25/2022
Priority: Urgent Due date:

Assignee: Rijas P % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.25 hour
Description

Dear Suhail/Muzammil,
As we communicated through mail, please see the attached sheet details for changing the "Charge" of some transactions.
| have mentioned the Transaction type, Document numbers, and Current charge and required Charge.

PS: Please note, we need to change the charge only for the mentioned document numbers.

History

#1 - 11/25/2022 12:36 PM - Mohamed Suhail

Rijas P wrote:
Dear Suhail/Muzammil,
As we communicated through mail, please see the attached sheet details for changing the "Charge" of some transactions.
| have mentioned the Transaction type, Document numbers, and Current charge and required Charge.
PS: Please note, we need to change the charge only for the mentioned document numbers.
Rijas,
It will be easy for us if you can mention the date range for both invoice and payment transactions where the charge needs to be updated
FromDate, ToDate, TransactionType, OldCharge, NewCharge
#2 - 12/19/2022 06:51 PM - Rijas P
- File WhatsApp Image 2022-11-30 at 5.34.56 PM.jpeg added
Dear Suhail,
Please change All the transactions of attached Charges under B partner "Salary outstanding” from 01-04-21 to 30-11-22.
#3 - 12/19/2022 07:46 PM - Mohamed Suhail
- Status changed from New to Resolved
- % Done changed from 0 to 100
Rijas P wrote:
Dear Suhail,
Please change All the transactions of attached Charges under B partner "Salary outstanding" from 01-04-21 to 30-11-22.
euro=# update c_payment set c_charge_id=1010499 where c_charge_id=1000030 and dateacct between '2021-04-01' and '2022-11-30";
UPDATE 1
euro=# update c_invoiceline set c_charge_id=1010499 where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000030 and
dateacct between '2021-04-01' and '2022-11-30") and ¢_charge_id=1000030;
UPDATE 12

euro=# update c_invoice set c_charge_id=1010499 where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000030 and
dateacct between '2021-04-01' and '2022-11-30") and ¢_charge_id=1000030;
UPDATE 12

euro=# delete from fact_acct where ad_table_id=318 and record_id in (select c_invoice_id from c_invoice where ¢_charge_id=1010499 and dateacct
between '2021-04-01' and '2022-11-30');

DELETE 36

euro=# update c_invoice set posted="N' where c_invoice_id in (select c_invoice_id from c_invoice where ¢_charge_id=1010499 and dateacct
between '2021-04-01' and '2022-11-30');

UPDATE 12

euro=# update c_invoiceline set c_charge_id=1010501 where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000011 and
dateacct between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149) and c_charge_id=1000011;

UPDATE 19

euro=# update c_invoice set c_charge_id=1010501 where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000011 and
dateacct between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149) and c_charge_id=1000011;

UPDATE 19

euro=# delete from fact_acct where ad_table_id=318 and record_id in (select c_invoice_id from c_invoice where c_charge_id=1010501 and dateacct
between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149);

DELETE 38

euro=# update c_invoice set posted='"N' where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1010501 and dateacct
between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149);

UPDATE 19

euro=# select * from c_invoiceline where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000045 and dateacct between
'2021-04-01"' and '2022-11-30" and c_bpartner_id=1000149) and c_charge_id=1000045;

euro=# update c_invoiceline set c_Charge_id=1010500 where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000045 and
dateacct between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149) and c_charge_id=1000045;

UPDATE 10

euro=# update c_invoice set ¢_Charge_id=1010500 where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1000045 and
dateacct between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149) and c_charge_id=1000045;

UPDATE 10

euro=# delete from fact_acct where ad_table_id=318 and record_id in (select c_invoice_id from c_invoice where c_charge_id=1010500 and dateacct
between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149);

DELETE 30

euro=# update c_invoice set posted='"N' where c_invoice_id in (select c_invoice_id from c_invoice where c_charge_id=1010500 and dateacct
between '2021-04-01' and '2022-11-30' and c_bpartner_id=1000149);

UPDATE 10

#4 - 12/20/2022 03:37 PM - Rijas P
Dear Suhail,

Incase of Yousuf & Benyamin Withdrawal, there are 2 charge line in each document. As per checking only the 1st charge line is replaced. Could you
please update the other one also in every documents.

Yousuf Salary Not changed for Docs : 1015483,1015559,1015853,1016160

Benyamin Salary Not changed for Docs :
1015307,1015358,1015408,1015643,1015707,1015778,1015777_1051800RE,1015777_1051800V0,1015934,1016309

#5 - 12/20/2022 06:48 PM - Mohamed Suhail
Rijas P wrote:
Dear Suhail,

Incase of Yousuf & Benyamin Withdrawal, there are 2 charge line in each document. As per checking only the 1st charge line is replaced. Could
you please update the other one also in every documents.

Yousuf Salary Not changed for Docs : 1015483,1015559,1015853,1016160
Benyamin Salary Not changed for Docs :
1015307,1015358,1015408,1015643,1015707,1015778,1015777_1051800RE,1015777_1051800V0,1015934,1016309
Done, please run account processor Rijas P
euro=# update c_invoiceline cil set ¢c_charge_id=1010500 from (select cil.c_invoiceline_id,cil.c_charge_id from c_invoiceline cil join c_invoice ci on
cil.c_invoice_id=ci.c_invoice_id where cil.c_charge_id=1000045 and ci.dateacct between '2021-04-01' and '2022-11-30' and
ci.c_bpartner_id=1000149) as aa where aa.c_invoiceline_id=cil.c_invoiceline_id;
UPDATE 12
euro=# delete from fact_acct where ad_table_id=318 and record_id in

(1054577,1050814,1060418,1051190,1051801,1051802,1051800,1049244,1049518,1053000,1049792,1057890);
DELETE 36
euro=# update c_invoice set posted='N' where c_invoice_id in
(1054577,1050814,1060418,1051190,1051801,1051802,1051800,1049244,1049518,1053000,1049792,1057890);
UPDATE 12

euro=# update c_invoiceline cil set c_charge_id=1010499 from (select cil.c_invoiceline_id,cil.c_charge_id from c_invoiceline cil join c_invoice ci on

cil.c_invoice_id=ci.c_invoice_id where cil.c_charge_id=1000030 and ci.dateacct between '2021-04-01' and '2022-11-30" and
ci.c_bpartner_id=1000149) as aa where aa.c_invoiceline_id=cil.c_invoiceline_id;
UPDATE 10

euro=# delete from fact_acct where ad_table_id=318 and record_id in
(1053967,1052461,1059455,1050399,1055419,1057418,1057420,1050073,1056994,1058602);
DELETE 30

euro=# update c_invoice set posted='N' where c_invoice_id in

(1053967,1052461,1059455,1050399,1055419,1057418,1057420,1050073,1056994,1058602);
UPDATE 10

#6 - 12/22/2022 09:34 AM - Mohamed Suhail

- Assignee changed from MUZAMMIL S to Rijas P

Rijas P wrote:
Dear Suhail/Muzammil,
As we communicated through mail, please see the attached sheet details for changing the "Charge" of some transactions.
| have mentioned the Transaction type, Document numbers, and Current charge and required Charge.

PS: Please note, we need to change the charge only for the mentioned document numbers.

#7 - 12/22/2022 01:43 PM - Rijas P

- Status changed from Resolved to Closed

Thanks for your support.

#8 - 05/21/2024 04:06 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

Charge Change request.xIsx 21.4 KB 11/25/2022 Rijas P

WhatsApp Image 2022-11-30 at 5.34.56 PM.jpeg 37.7KB 12/19/2022 Rijas P
